Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMParameter

    java.lang.Object
      |
      +--com.sun.wbem.cim.CIMElement
            |
            +--com.sun.wbem.cim.CIMParameter

public class CIMParameter
extends CIMElement
implements java.lang.Cloneable

Creates and instantiates a CIM parameter, a value passed to a CIM method from a calling method.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Constructor Summary
`CIMParameter()` Creates and instantiates a CIM parameter
`CIMParameter(java.lang.String name)` Takes a string for the name of an existing CIM parameter and creates a new instance of a CIM parameter, using the name and identifier of the existing CIM parameter.

Method Summary
`java.lang.Object` | `clone()` Returns an object that is a copy of this CIM parameter.
`CIMQualifier` | `getQualifier(java.lang.String name)` Returns the required qualifier of the parameter, if present in the parameter definition.
`java.util.Vector` | `getQualifiers()` Returns the list of qualifiers for this parameter
`int` | `getSize()` Returns the size of this parameter
`CIMDataType` | `getType()` Returns the data type of this parameter
`void` | `setQualifiers(java.util.Vector qTable)` Sets the list of qualifiers for this parameter to the specified list of qualifiers
`void` | `setSize(int aSize)` Sets the size of this parameter to the specified size
`void` | `setType(CIMDataType type)` Sets the data type of this parameter to the specified CIM data type
`java.lang.String` | `toMOF()` Returns a MOF representation of the CIMParameter
`java.lang.String` | `toString()` Returns a String representation of the CIMParameter.
`java.lang.String` | `toXml()` Returns an XML representation of this CIM parameter.

Methods inherited from class com.sun.wbem.cim.CIMElement
`assign, equals, getName, lessThan, setName`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIMParameter

    public CIMParameter()

  Creates and instantiates a CIM parameter

### CIMParameter

    public CIMParameter(java.lang.String name)

  Takes a string for the name of an existing CIM parameter and creates a new instance of a CIM parameter, using the name and identifier of the existing CIM parameter.
  Parameters:
    `name` - name of an existing CIM parameter

Method Detail

### setQualifiers

    public void setQualifiers(java.util.Vector qTable)

  Sets the list of qualifiers for this parameter to the specified list of qualifiers
  Parameters:
    `qTable` - list of qualifiers to be assigned to the parameter

### getQualifiers

    public java.util.Vector getQualifiers()

  Returns the list of qualifiers for this parameter
  Returns:
    Vector list of qualifiers for this parameter

### setType

    public void setType(CIMDataType type)

  Sets the data type of this parameter to the specified CIM data type
  Parameters:
    `type` - The CIM data type assigned to the parameter

### getType

    public CIMDataType getType()

  Returns the data type of this parameter
  Returns:
    CIMDataType The CIM data type of this parameter

### getSize

    public int getSize()

  Returns the size of this parameter
  Returns:
    int the integer value of the size of this parameter

### setSize

    public void setSize(int aSize)

  Sets the size of this parameter to the specified size
  Parameters:
    `aSize` - the integer size assigned to this parameter

### toString

    public java.lang.String toString()

  Returns a String representation of the CIMParameter. This method is intended to be used only for debugging purposes, and the format of the returned string may vary between implementations. The returned string may be empty but may not be null.
  Overrides:
    toString in class CIMElement
  Returns:
    string representation of this parameter

### toMOF

    public java.lang.String toMOF()

  Returns a MOF representation of the CIMParameter
  Returns:
    a string representation of this parameter in Managed Object Format (MOF)

### clone

    public java.lang.Object clone()

  Returns an object that is a copy of this CIM parameter. This method calls clone(boolean includeQualifier) with the true value, which indicates that this CIM parameter contains CIM qualifiers.
  Returns:
    An object that is a copy of this CIM parameter.

### toXml

    public java.lang.String toXml()

  Returns an XML representation of this CIM parameter.
  Returns:
    An XML representation of this CIM parameter.

### getQualifier

    public CIMQualifier getQualifier(java.lang.String name)

  Returns the required qualifier of the parameter, if present in the parameter definition.
  Parameters:
    `name` - The name of the qualifier to get.
  Returns:
    CIMQualifier Null if the qualifier does not exist, otherwise returns the reference to the qualifier .

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD